Page MenuHomePhabricator

[mlir] Add exp2 conversion to llvm.intr.exp2
ClosedPublic

Authored by asmith on Mar 26 2020, 4:46 PM.

Details

Reviewers
ftynse

Diff Detail

Event Timeline

asmith created this revision.Mar 26 2020, 4:46 PM
asmith updated this revision to Diff 253028.Mar 26 2020, 6:31 PM

Adding a test

ftynse accepted this revision.Mar 27 2020, 7:33 AM
ftynse added inline comments.
mlir/lib/Conversion/StandardToLLVM/StandardToLLVM.cpp
1227

Nit: this pattern was changed to be using Exp2OpLowering = VectorConvertToLLVMPattern<Exp2Op, LLVM::Exp2Op>;

This revision is now accepted and ready to land.Mar 27 2020, 7:33 AM
asmith updated this revision to Diff 253407.Mar 29 2020, 1:12 AM
asmith closed this revision.Mar 29 2020, 1:25 AM